unit Unit1;

interface

uses
  Windows, Messages, SysUtils, Variants, Classes, Graphics, Controls, Forms,
  Dialogs, StdCtrls, ActnMan, ActnColorMaps, ExtCtrls;

type
  TForm1 = class(TForm)
    Label1: TLabel;
    txtCompName: TEdit;
    Label2: TLabel;
    txtUserName: TEdit;
    procedure FormCreate(Sender: TObject);
  private
    { Private declarations }
  public
    { Public declarations }
  end;

var
  Form1: TForm1;

implementation

{$R *.dfm}

//Возвращает сетевое имя компьютера
function ComputerName(): String;
var
  buffer: String;
  len: Cardinal;
begin
  len := MAX_COMPUTERNAME_LENGTH + 1;
  SetLength(buffer, len);
  if GetComputerName(PAnsiChar(buffer), len)
   <> FALSE then
    ComputerName := Copy(buffer, 1, len)
  else
    ComputerName := '';
end;

//Возвращает имя текущего пользователя
function UserName(): String;
var
  buffer: String;
  len: Cardinal;
begin
  len := 100;  //Увы, но константы UNLEN в модуле Windows найти не удалось
               //Буфера такой длины должно хватить
  SetLength(buffer, len);
  if GetUserName(PAnsiChar(buffer), len)
   <> FALSE then
    UserName := Copy(buffer, 1, len)
  else
    UserName := '';
end;

procedure TForm1.FormCreate(Sender: TObject);
begin
  txtCompName.Text := ComputerName();
  txtUserName.Text := UserName();
end;

end.
